: Class ViewedStoreBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.view
Class ViewedStoreBase

    java.lang.Object
      |
      +--grendel.view.ViewedFolderBase
            |
            +--grendel.view.ViewedStoreBase

public class ViewedStoreBase
extends grendel.view.ViewedFolderBase
implements ViewedStore

Constructor Summary
`ViewedStoreBase(javax.mail.Store aStore, int aID)` ViewedStoreBase constructor.

Method Summary
`void` | `addViewedStoreListener(ViewedStoreListener l)` Adds a ViewedStoreListener
`ViewedFolder` | `getDefaultFolder()` Returns the store's default folder wrapped in a ViewedFolder object.
`java.lang.String` | `getDescription()` Returns the description for this store
`javax.mail.Folder` | `getFolder()` Returns the associated folder
`java.lang.String` | `getHost()` Returns the host for this store.
`int` | `getID()` Returns the id which identifies this store in the preferences/
`java.lang.String` | `getName()` Returns the name for this store.
`java.lang.String` | `getPassword()` Returns the password.
`int` | `getPort()` Returns the port used to connect.
`java.lang.String` | `getProtocol()` Returns the protocol used by this store.
`javax.mail.Store` | `getStore()` Returns the associated store.
`java.lang.String` | `getUsername()` Returns the user name used to connect.
`int` | `getVisible()` Returns which children are showing for this store
`boolean` | `isConnected()` Returns the connected state of this store
`boolean` | `isLocal()`
`void` | `removeViewedStoreListener(ViewedStoreListener l)` Removes a ViewedStoreListener
`void` | `setVisible(int aVisible)` Sets which children to show for this store
`java.lang.String` | `toString()`

Methods inherited from class grendel.view.ViewedFolderBase
`getFirstSubFolder, getMessageCount, getNextFolder, getParentFolder, getUndeletedMessageCount, getUnreadMessageCount, getViewedFolder, getViewedStore, isInbox, isOpen, setFolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewedStoreBase

    public ViewedStoreBase(javax.mail.Store aStore,
                           int aID)

  ViewedStoreBase constructor. This should be called before any attempt to connect so that it can reflect the correct connection state.

Method Detail

### getID

    public int getID()

  Returns the id which identifies this store in the preferences/
  Specified by:
    getID in interface ViewedStore

### getFolder

    public javax.mail.Folder getFolder()

  Returns the associated folder
  Overrides:
    getFolder in class grendel.view.ViewedFolderBase

### getStore

    public javax.mail.Store getStore()

  Returns the associated store.
  Specified by:
    getStore in interface ViewedStore

### isLocal

    public boolean isLocal()

### getDefaultFolder

    public ViewedFolder getDefaultFolder()
                                  throws javax.mail.MessagingException

  Returns the store's default folder wrapped in a ViewedFolder object.
  Specified by:
    getDefaultFolder in interface ViewedStore

### getDescription

    public java.lang.String getDescription()

  Returns the description for this store
  Specified by:
    getDescription in interface ViewedStore

### getName

    public java.lang.String getName()

  Returns the name for this store. This is the same as the description.
  Overrides:
    getName in class grendel.view.ViewedFolderBase

### getProtocol

    public java.lang.String getProtocol()

  Returns the protocol used by this store.
  Specified by:
    getProtocol in interface ViewedStore

### getHost

    public java.lang.String getHost()

  Returns the host for this store. Returns null for a local store.
  Specified by:
    getHost in interface ViewedStore

### getUsername

    public java.lang.String getUsername()

  Returns the user name used to connect. May return null if no user name was used.
  Specified by:
    getUsername in interface ViewedStore

### getPassword

    public java.lang.String getPassword()

  Returns the password.
  Specified by:
    getPassword in interface ViewedStore

### getPort

    public int getPort()

  Returns the port used to connect. Returns -1 for the protocol default.
  Specified by:
    getPort in interface ViewedStore

### isConnected

    public boolean isConnected()

  Returns the connected state of this store
  Specified by:
    isConnected in interface ViewedStore

### addViewedStoreListener

    public void addViewedStoreListener(ViewedStoreListener l)

  Adds a ViewedStoreListener
  Specified by:
    addViewedStoreListener in interface ViewedStore

### removeViewedStoreListener

    public void removeViewedStoreListener(ViewedStoreListener l)

  Removes a ViewedStoreListener
  Specified by:
    removeViewedStoreListener in interface ViewedStore

### setVisible

    public void setVisible(int aVisible)

  Sets which children to show for this store
  Specified by:
    setVisible in interface ViewedStore

### getVisible

    public int getVisible()

  Returns which children are showing for this store
  Specified by:
    getVisible in interface ViewedStore

### toString

    public java.lang.String toString()

  Overrides:
    toString in class grendel.view.ViewedFolderBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD